Subject: Re: FKJ 424 FW TOYOTA COROLLA LAPO SULFRID WORKSHOP JO 65754
From: Raphael Peter <[email-masked]>
To: Lucky Umuokoro <[email-masked]>
Cc: Benedict Ochade <[email-masked]>, Folashade Odutola <[email-masked]>, Okoroafor Igwe <[email-masked]>
Date: Tue, 2 Dec 2025 10:58:32 +0000

33,500.00

Regards,

Raphael Peter

Risk & Control

C & I Leasing PLC | Off Bisola Durosimi Erri Drive, Lekki Phase 1. Lagos

07031704068 & 08036360053, | [email-masked]

[A white square with blue and black logo  Description automatically generated]

________________________________
From: Lucky Umuokoro <[email-masked]>
Sent: Tuesday, December 2, 2025 7:56 AM
To: Raphael Peter <[email-masked]>
Cc: Benedict Ochade <[email-masked]>; Folashade Odutola <[email-masked]>; Okoroafor Igwe <[email-masked]>
Subject: Re: FKJ 424 FW TOYOTA COROLLA LAPO SULFRID WORKSHOP JO 65754

Dear Raphael,

Kindly approve for further processing.

Best Regards,

Umukoro Efemena Lucky.
Maintenance Officer| C & I Leasing | 1 Emovon Cresent Off Ihama Road, Benin City.
07031719577| [email-masked]<http://shaba,[email-masked]/> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]

________________________________
From: Okoroafor Igwe <[email-masked]>
Sent: Monday, December 1, 2025 6:12 PM
To: Lucky Umuokoro <[email-masked]>
Cc: Benedict Ochade <[email-masked]>; Folashade Odutola <[email-masked]>; Raphael Peter <[email-masked]>
Subject: RE: FKJ 424 FW TOYOTA COROLLA LAPO SULFRID WORKSHOP JO 65754

Dear Lucky,

Kindly make use of this approval.

  S/N

Items

Quantity

Estimated amount

Approved amount

1

5 liters of engine oil

38,000.00

27500

2

Oil filter

10,000.00

3000

3

labour

10,000.00

3000

Total

58,000.00

NGN33,500

Best Regards

Igwe Leonard Okoroafor

Fleet Maintenance  | C & I Leasing | Off Bisola Durosinmi Etti Drive, Lekki Phase 1. Lagos

08172116412| [email-masked]<mailto:[email-masked]> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]

From: Lucky Umuokoro <[email-masked]>
Sent: Monday, 1 December 2025 16:46
To: Okoroafor Igwe <[email-masked]>
Cc: Benedict Ochade <[email-masked]>; Folashade Odutola <[email-masked]>; Raphael Peter <[email-masked]>
Subject: FKJ 424 FW TOYOTA COROLLA LAPO SULFRID WORKSHOP JO 65754

Good afternoon, sir!

Kindly find the table for your approval.

  S/N

Items

Quantity

Estimated amount

Approved amount

1

5 liters of engine oil

38,000.00

2

Oil filter

10,000.00

3

labour

10,000.00

Total

58,000.00

Best Regards,

Umukoro Efemena Lucky.

Maintenance Officer| C & I Leasing | 1 Emovon Cresent Off Ihama Road, Benin City.

07031719577| [email-masked]<http://shaba,[email-masked]/> | www.c-ileasing.com<http://www.cileasing.com/>

[A white square with black and yellow text  Description automatically generated]